Package twisted :: Package conch :: Package ssh :: Module pamauth

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.pamauth

Support for asynchronously authenticating using PAM.

Function Summary
| `defConv(items)`
| `pamAuthenticate(service, user, conv)`
| `pamAuthenticateThread(service, user, conv)`

Variable Summary
`_Feature` | `nested_scopes`
`FakeModule` | `PAM`
`SelectReactor` | `reactor`

Variable Details

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### PAM

  Type:
    `FakeModule`
  Value:

        <Fake PAM>

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:16:22 2003 | http://epydoc.sf.net